#!/usr/bin/make -f
# more info: info debhelper or man 7 debhelper

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Recommendations in https://wiki.debian.org/Hardening, motivated by lintian warnings.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with autoreconf

#override_dh_auto_configure:
#	# generate a binary against the shared (instead of static) library
#	dh_autoreconf
#	dh_auto_configure


# Add some extra diagnostics to automatic builds, to help debug any failures.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Log a diagnostic, and then return a fail if
	# dh_auto_test failed.
	# The "|| true" fallbacks are to avoid generating
	# a fail return value from errors in this test script
	# (e.g. architecture-dependent diagnostics); the
	# return value should depend only on testing the
	# package, not on errors in documenting the tests
	# and their environment.
	if dh_auto_test ; then \
	  printf "+++regression test diagnostic+++\n"; \
	  gcc --version; \
	  uname -a ; \
	  (grep processor /proc/cpuinfo || true); \
	  (free -h || true); \
	  printf "+++/regression test diagnostic+++\n"; else \
	  printf "+++regression test diagnostic+++\n"; \
	  gcc --version; \
	  uname -a; \
	  printf "Processors on this machine:\n"; \
	  (grep processor /proc/cpuinfo || true); \
	  (free -h || true); \
	  printf "+++/regression test diagnostic+++\n"; \
	  false ; fi
	printf "\n"
	(for i in lib/test_*log ; do printf "++++++++--- %s ---++++++++\n" $$i && \
	  cat $$i ; printf "\n" ; done) || true
	printf "++++++-------- END test logs --------+++++++\n"
endif
